# $Revision: 1.3.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Filter-BufferText
Summary:	XML::Filter::BufferText Perl module - to guarantee characters in one event
Summary(pl):	Modu Perla XML::Filter::BufferText - gwarantujcy znaki w jednym zdarzeniu
Name:		perl-XML-Filter-BufferText
Version:	1.00
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%{!?_without_tests:BuildRequires:	perl-Test-Simple >= 0.40}
%{!?_without_tests:BuildRequires:	perl-XML-SAX >= 0.04}
%{!?_without_tests:BuildRequires:	perl(XML::SAX::Base) >= 1.03}
BuildRequires:	rpm-perlprov >= 4.0.2-104
Requires:	perl-XML-SAX >= 0.04
Requires:	perl(XML::SAX::Base) >= 1.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a very simple filter. One common cause of grief (and
programmer error) is that XML parsers aren't required to provide
character events in one chunk. They can, but are not forced to, and
most don't. This filter does the trivial but oft-repeated task of
putting all characters into a single event.

%description -l pl
To jest bardzo prosty filtr. Jednym z czstych zmartwie (i bdw
programistw) jest to, e parsery XML nie musz dostarcza zdarze
znakowych w jednym kawaku. Mog, ale nie s do tego zmuszone, i
przewanie tego nie robi. Ten filtr wykonuje trywialne, ale czsto
wykonywane zadanie umieszczania wszystkich znakw w jednym zdarzeniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/XML/Filter/BufferText.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Filter-BufferText.spec,v $
Revision 1.3.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.3.2.1  2003/03/13 00:59:25  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:39:12  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/08/04 00:56:25  qboosh
- new

